#!/bin/bash

# cherche le nom du répertoire courant de l'interro
DIR="${PWD}" 
#raccourci des fichiers pdf
DIR_PDF="$DIR/cr/corrections/pdf" 
#raccourci du repertoires à créer des fichiers modifiés
DIR_SACOCHE="$DIR/cr/corrections/pdf/sacoche" 

# création du répertoire des fichiers nominatifs modifiés
# vérification de la non existence du dossier
if  [ ! -e "$DIR_SACOCHE" ] # $DIR/cr/corrections/pdf/sacoche
then # création du dossier
    mkdir "$DIR_SACOCHE" #$DIR/cr/corrections/pdf/sacoche 
fi    

# Se placer dans les fichier annotés
cd ${DIR_PDF}

for file in *.pdf;
do
#v'rification de la non existence d'un fichier -> gain de temps au lieu de tout refaire ?
if [ ! -e "$DIR_SACOCHE"/"$file" ]
then
pdftk A="$file" B="${DIR}/page.pdf" cat A B output "$DIR_SACOCHE"/"$file" #"$DIR/cr/corrections/pdf/sacoche/""$file" 
fi
done

exit
